/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/
var ls_width = $(window).width();
var ls_height = $(window).height();

var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}
//参数接收
var is_code = $.getUrlParam("CODE");
queryData.FIELD_WSY_EMID = is_code;
/****/

/**
 * 序号：2
 * 功能：构建下拉框内容
 * 参数：
 * 说明：方便新增、修改页面里的下拉选项加载数据
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/

//加载接口是否调用下拉框
var v_o_enable_data = [{CODE_ID:'Y',CODE_NAME:'允许'},{CODE_ID:'N',CODE_NAME:'禁止'}];

/****/

/**
 * 序号：3
 * 功能：构建主页面列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//定义grid列表
$('#list').datagrid({
		title:"接口授权",
	    iconCls:$.getJwWindowPic(),
	    url:'serviceManage/act_listServiceManage',
	    queryParams : queryData,//查询参数
		rownumbers : true,//显示索引号
		singleSelect : false,//是否多选
		fitColumns : false,//是否撑满
		autoRowHeight : 30,//设定高度
		pagination : true,//分页显示
		pageSize : rows,//显示行数
		pageList : listPageSize,//条数选择
		striped : true, //是否隔行显示
		remoteSort : false,//是否从服务器排序
		frozenColumns : [[
				{
					field : 'ck',
					checkbox : true
				}
				       ]],
		columns : [ [
				{
					field : 'CLASSNAME',
					title : '接口名称',
					width : 80,
					align : 'center'
				},
				{
					field : 'COMMENTS',
					title : '接口注释',
					width : 120,
					align : 'left'
				},
				{
					field : 'METHOD',
					title : '实现方法',
					width : 80,
					align : 'left'
				},{
					field : 'CONTENT',
					title : '使用说明',
					width : 150,
					align : 'left'
				},
				{
					field : 'URL',
					title : 'URL地址',
					width : 100,
					align : 'center'
				},
				{
					field : 'YSY',
					title : '已使用',
					width : 120,
					align : 'center'
				},
				{
					field : 'CREATE_USER',
					title : '注册人员',
					width : 80,
					align : 'center'
				},
				{
					field : 'CREATE_TIME',
					title : '注册时间',
					width : 80,
					align : 'center'
				}
				] ],
		toolbar : '#tb',
		onLoadSuccess : function() {
			createOptionMenuTooltip();
		}
});

/****/

/**
 * 序号：4
 * 功能：设置主页面操作列菜单
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//操用列显示更多(一般情况下无需更改)
function formatMenu(value, data,index) {
	var returnData="";
	return  returnData
	      + "<span class=\"icon-ext-moremenu\" style=\"padding-left:20px;*width:20px;\"></span>"
	      + "<span data-p1="+index+" class=\"easyui-tooltip\" style=\"color:blue;cursor:pointer;\">更多</span>";
}

//菜单更多上浮横向菜单集(无需更改)
function createOptionMenuTooltip() {
	$('#list').datagrid('getPanel').find('.easyui-tooltip').each(
			function() {
				var index = parseInt($(this).attr('data-p1'));
				$(this).tooltip({
					content : $('<div></div>'),
					onUpdate : function(cc) {
						var row = $('#list').datagrid('getRows')[index];
						var content = getOptionMenu(row,index);
						var mCount = getOptionMenuCount();
						cc.css("border","0").panel({
							width : (80 * mCount),
							content : content
						});
					},
					position : 'right',
					deltaX : -20,
					onShow : function() {
						var t = $(this);
						t.tooltip('tip').css( {
							backgroundColor : '#ffffff'
								}).unbind().bind('mouseenter', function() {
							t.tooltip('show');
						}).bind('mouseleave', function() {
							t.tooltip('hide');
						});
					}
				});
			});
}

//上浮横向菜单集里的具体菜单项(需更改)
function getOptionMenu(data,index){
	var returnData= "";
	return returnData;
}

//返回菜单集的菜单个数(需更改)
function getOptionMenuCount(){
	var is_menu_count = 2;
	return is_menu_count;
}

/****/

/**
 * 序号：5
 * 功能：新增修改弹出
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载增加子页面

//加载修改子页面

//弹出层返回按扭

//弹出层保存按扭
function viewySqRow() {
	window.location = 'serviceManage/view_listServiceViewTab?CODE='+is_code;
}
/****/

/**
 * 序号：6
 * 功能：单个删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/

/****/

/**
 * 序号：7
 * 功能：批量删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function saveSqRow(){
	var code="";
	var rows = $('#list').datagrid('getSelections');
	for(var i=0; i<rows.length; i++){
		code = code + rows[i].UUID+",";
	}
	if(rows == null || rows == ""){
		$.messager.alert('提示',"请选择需授权的接口!",'info');
		return;
	}
	if(code.length>0){
		code = code.substring(0,code.length - 1);
	}
	$.messager.confirm('提示', '确定授权?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.FIELD_UUID = code;
		    v_query.FIELD_CODE = is_code;
		    var v_result = jwServiceManageModule.jwServiceActAction.ChoiceInterfaceSave(v_query);
			$.messager.alert('提示',v_result.VALUE);
			$('#list').datagrid('reload');
		}
	});
}
/****/

/**
 * 序号：8
 * 功能：刷新
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function refreshRow(){
	resetQueryData();
	queryData.FIELD_WSY_EMID = is_code;
	$('#list').datagrid('load',queryData);
	$("#listServiceChoicetab_searchForm")[0].reset();
}
/****/

/**
 * 序号：9
 * 功能：查询
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function searchRow(){
	var v_query = $("#listServiceChoicetab_searchForm").getFormVal();
	v_query.page = local_page;
	v_query.rows = rows;
	v_query.FIELD_WSY_EMID = is_code;
	$('#list').datagrid('load',v_query);
}
/****/

/**
 * 序号：9
 * 功能：返回
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function backRow(){
	window.location = 'serviceManage/view_listUserTab';
}
/****/

